API Reference
This portal links the public-safe DrSimon API surface used by partner SDKs and host applications.
Core endpoints
| Area | Endpoints | Purpose |
|---|---|---|
| Sessions | POST /api/v1/sessions/start, POST /api/v1/sessions/end | Bind lifecycle, product, tenant, and device profile |
| Ingest | POST /api/v1/engine/ingest | Upload primitive observations only |
| Proctoring | POST /api/v1/engine/proctoring/session/start | Start tenant-scoped proctoring analysis |
| Reports | /api/v1/reports/* | Fetch report references and summaries |
| Segments | /api/v1/segments/* | Fetch segment-level analysis outputs |
Required headers
Authorization: Bearer <partner-or-host-token>
X-DrSimon-Protocol: 1
X-DrSimon-SDK: <platform>/<version>
X-DrSimon-Tier: 0
X-DrSimon-Batch-Id: <ulid>
Content-Type: application/jsonRuntime OpenAPI
Use the deployed engine OpenAPI when validating integration details:
- Test engine:
https://test-engine.drsimon.ai/docs - Production engine:
https://engine.drsimon.ai/docs